//+------------------------------------------------------------------+
//|                                                            V.mq4 |
//|                                        Copyright  2008, OLLTRAD |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, OLLTRAD"
#property link      ""

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Magenta
#property indicator_color2 Yellow
//---- input parameters
extern int       per1=13;
extern int       per2=55;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   double Vt,Vl,ma0t,ma1t,ma2t,ma3t,ma4t,ma0l,ma1l,ma2l,ma3l,ma4l;
//----
 int i=Bars-counted_bars-1;
   while(i>=0)
   {
     ma0t=iMA(NULL,0,per1,0,MODE_EMA,PRICE_CLOSE,i);
     ma1t=iMA(NULL,0,per1,0,MODE_EMA,PRICE_CLOSE,i+1);
     ma2t=iMA(NULL,0,per1,0,MODE_EMA,PRICE_CLOSE,i+2);
     ma3t=iMA(NULL,0,per1,0,MODE_EMA,PRICE_CLOSE,i+3);
     ma4t=iMA(NULL,0,per1,0,MODE_EMA,PRICE_CLOSE,i+4);
          
           Vt=( ((ma0t-ma1t)+(ma0t-ma2t)+(ma0t-ma3t)+(ma0t-ma4t))/4)*100; 
           
     ma0l=iMA(NULL,0,per2,0,MODE_EMA,PRICE_CLOSE,i);
     ma1l=iMA(NULL,0,per2,0,MODE_EMA,PRICE_CLOSE,i+1);
     ma2l=iMA(NULL,0,per2,0,MODE_EMA,PRICE_CLOSE,i+2);
     ma3l=iMA(NULL,0,per2,0,MODE_EMA,PRICE_CLOSE,i+3);
     ma4l=iMA(NULL,0,per2,0,MODE_EMA,PRICE_CLOSE,i+4);
          
           Vl=( ((ma0l-ma1l)+(ma0l-ma2l)+(ma0l-ma3l)+(ma0l-ma4l))/4)*100;         
//----

 ExtMapBuffer1[i]=Vt;
 ExtMapBuffer2[i]=Vl;
  i--;
  }
   return(0);
  }
//+------------------------------------------------------------------+